Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.mycarenetcommons.domain
Class Blob

    java.lang.Object
      be.ehealth.business.mycarenetcommons.domain.Blob

    public class Blob

extends Object

will be mapped to mycarenet BlobType. contains the contents of the detail tag in a mycarenet message. cfr mycarenet document : This document introduces a new type: blob. This is used to transfer (large) binary objects. It has the following structure:

       (value): The binary data, first compressed via deflate and then base 64 encoded (compatible with MTOM/XOP).
       contentType (required): exactly like xmine:contentType, but in a different namespace to avoid conflicts with MTOM/XOP.  It must define which type the content is, it must be values like 'text/plain', 'text/xml', 'application/pdf', …
       ContentEncoding: a fixed value 'deflate' to indicate that the content is compressed via deflates.
       MessageName (required): The business name of the message, e.g. 'FAC'.
       HashValue: pre-calculated hash of the uncompressed and decoded content.  Must not be provided by the care provider, always provided to the care provider.
       Id: The ID of the blob for usage in the XAdES signature.  It is an 'NCName' instead of an 'ID' in order to be able to have different blobs with the same (fixed) id without causing an XSD validation.

Constructor Summary
`Blob()`

Method Summary
`byte[]` | `getContent()`
`String` | `getContentEncoding()`
`String` | `getContentType()`
`byte[]` | `getHashValue()`
`String` | `getId()`
`String` | `getMessageName()`
`byte[]` | `getXadesValue()`
`boolean` | `isHashTagRequired()`
`void` | `setContent(byte[] content)`
`void` | `setContentEncoding(String contentEncoding)`
`void` | `setContentType(String contentType)`
`void` | `setHashTagRequired(boolean isHashTagRequired)`
`void` | `setHashValue(byte[] hashValue)`
`void` | `setId(String id)`
`void` | `setMessageName(String messageName)`
`void` | `setXadesValue(byte[] xadesValue)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Blob

    public Blob()

Method Detail

### getContent

    public byte[] getContent()

  Returns:
    the content

### setContent

    public void setContent(byte[] content)

  Parameters:
    `content` - the content to set

### getContentType

    public String getContentType()

  Returns:
    the contentType

### setContentType

    public void setContentType(String contentType)

  Parameters:
    `contentType` - the contentType to set

### getHashValue

    public byte[] getHashValue()

  Returns:
    the hashValue

### setHashValue

    public void setHashValue(byte[] hashValue)

  Parameters:
    `hashValue` - the hashValue to set

### getId

    public String getId()

  Returns:
    the id

### setId

    public void setId(String id)

  Parameters:
    `id` - the id to set

### getContentEncoding

    public String getContentEncoding()

  Returns:
    the contentEncoding

### setContentEncoding

    public void setContentEncoding(String contentEncoding)

  Parameters:
    `contentEncoding` - the contentEncoding to set

### getMessageName

    public String getMessageName()

  Returns:
    the messageName

### setMessageName

    public void setMessageName(String messageName)

  Parameters:
    `messageName` - the messageName to set

### isHashTagRequired

    public boolean isHashTagRequired()

  Returns:
    the isHashTagRequired

### setHashTagRequired

    public void setHashTagRequired(boolean isHashTagRequired)

  Parameters:
    `isHashTagRequired` - the isHashTagRequired to set

### getXadesValue

    public byte[] getXadesValue()

  Returns:
    the xadesValue

### setXadesValue

    public void setXadesValue(byte[] xadesValue)

  Parameters:
    `xadesValue` - the xadesValue to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.